Subject: Older hisilicon chipsets

From: [email-masked] (Arnd Bergmann)
Date: Tue, 30 Aug 2016 17:36:49 +0200

On Tuesday 30 August 2016, Jason Cooper wrote:
> On Tue, Aug 30, 2016 at 09:43:52AM -0500, Marty Plummer wrote:
> > Hi Wei,
> > 
> > Do you think you could change the references to the Hi3620 in the code
> > and dts files from `hi3xxx' to `hi3620'? As it currently stands, the
> > wildcard matches hi3520 too, but that's not a good idea whit devicetree,
> > its best to be completely explicit as to which sort of device the
> > binding is for.
> 
> Please submit a patch, there shouldn't be wildcards in devicetree
> compatible strings. :-/

Fortunately, I don't see wildcards in the dts files, I think we were
careful enough here. The Linux-internal identifiers and file names
are easily renamed, unlike the DT bindings.

	Arnd